++++++++++++++++++++++++++++++++++++++++++++++++

      subroutine kpimumu
      implicit none
c
c
      include 'savevt.inc'
      include 'event_type.inc'
c
      logical trighit
      external trighit

c  +++++++++++++++++++++++++++++++++++++++++++++

      save_stream(6)=.false.

c  **********************************************
c  check for normalizing k3pi with LRW triggers(prescaled)
c  get also kpimumu candidates
c  **********************************************

      if(
     $  ( trighit('LRWP') .and. btest(evnt_type, k3pi) )
     $  .or.
     $  ( btest(evnt_type, dimuon) .and. btest(evnt_type, tks3up) )
     $  ) then
        save_stream(6) = .true.
      end if

      return
      end

++++++++++++++++++++++++++++++++++++++++++++++++

